﻿(function () {
    var module = appStatisticsPlugin.getAngularModule();
    var apiUrl = 'api/Statistics/Client/';
    module.factory('app.statistics.clientService',
        ['$resource', function ($resource) {
            return $resource(apiUrl + ':action', { id: '@id', page: '@page', size: '@size', states: '@states', expired: '@expired', start: '@start', end: '@end' }, {
                getClientDetails: { method: 'GET', params: { action: 'GetClientDetails' } },
                getClients: { method: 'GET', params: { action: 'GetClients' } },
                getClientHistory: { method: 'GET', params: { action: 'GetClientHistory' }, isArray: true }
            });
        }]
    );
})();